> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Settings

> Get information about the current account.



## OpenAPI

````yaml get /accounts/settings
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /accounts/settings:
    get:
      tags:
        - Information
      description: Get information about the current account.
      operationId: getSelf
      responses:
        '200':
          $ref: '#/components/responses/account'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    account:
      description: Account settings, if this succeeds your API key is working
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              data:
                $ref: '#/components/schemas/account_info'
  schemas:
    account_info:
      type: object
      properties:
        id:
          type: integer
          example: 25204
          description: The ID of the account
        email:
          type: string
          example: google-play@vaultcord.com
          description: The email of the account
        role:
          type: string
          enum:
            - free
            - premium
            - plus
          example: plus
          description: The subscription plan of the account
        expiry:
          type: integer
          example: 1750018387
          description: The expiration of the subscription plan, in unix timestamp (seconds)
        twoFactorEnabled:
          type: string
          enum:
            - 0
            - 1
          example: 0
          description: The 2FA status of the account, 0 = OFF, 1 = ON
        securityKey:
          type: string
          enum:
            - 0
            - 1
          example: 0
          description: The WebAuthn status of the account, 0 = OFF, 1 = ON
        created_at:
          type: integer
          example: 1710529170
          description: The creation date of the account, in unix timestamp (seconds)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````